Bug 645863 - Review Request: python-oauth2 - Python support for improved oauth
Summary: Review Request: python-oauth2 - Python support for improved oauth
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 645233
TreeView+ depends on / blocked
 
Reported: 2010-10-22 17:24 UTC by Tom "spot" Callaway
Modified: 2011-07-18 15:04 UTC (History)
4 users (show)

Fixed In Version: python-oauth2-1.2.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-11 22:18:34 UTC
Type: ---
sagarun: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2010-10-22 17:24:44 UTC
Spec URL: http://auroralinux.org/people/spot/review/new/python-oauth2.spec
SRPM URL: http://auroralinux.org/people/spot/review/new/python-oauth2-1.2.1-1.fc14.src.rpm
Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2549437
Description: 

Oauth2 was originally forked from Leah Culver and Andy Smith's oauth.py
code. Some of the tests come from a fork by Vic Fryzel, while a revamped
Request class and more tests were merged in from Mark Paschal's fork. A
number of notable differences exist between this code and its forefathers:

- 100% unit test coverage.
- The DataStore object has been completely ripped out. While creating unit
  tests for the library I found several substantial bugs with the
  implementation and confirmed with Andy Smith that it was never fully
  baked.
- Classes are no longer prefixed with OAuth.
- The Request class now extends from dict.
- The library is likely no longer compatible with Python 2.3.
- The Client class works and extends from httplib2. It's a thin wrapper
  that handles automatically signing any normal HTTP request you might
  wish to make.

****
PACKAGER NOTE: This is a new dependency for the updated python-twitter package.

Comment 1 Arun S A G 2010-10-31 17:20:55 UTC
[+] OK
[X] NOT OKAY
[-] NA


[+] Package meets naming and packaging guidelines
[+] Spec file matches base package name.
[+] Spec has consistant macro usage.
[+] Meets Packaging Guidelines.
[+] License
[+] License field in spec matches
[+] License file included in package
[+] Spec in American English
[+] Spec is legible.
[+] Sources match upstream md5sum:
[zer0c00l@gnubox SOURCES]$ md5sum  oauth2-1.1.3.tar.gz
79ab3c0af3a6295a699f37d0c25239db  oauth2-1.1.3.tar.gz



[-] Package needs ExcludeArch
[+] BuildRequires correct
[-] Spec handles locales/find_lang
[-] Package is relocatable and has a reason to be.
[+] Package has %defattr and permissions on files is good.
[-] Package has a correct %clean section.
[+] Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
[+] Package is code or permissible content.
[-] Doc subpackage needed/used.
[-] Packages %doc files don't affect runtime.

[-] Headers/static libs in -devel subpackage.
[-] Spec has needed ldconfig in post and postun
[-] .pc files in -devel subpackage/requires pkgconfig
[-] .so files in -devel subpackage.
[-] -devel package Requires: %{name} = %{version}-%{release}
[-] .la files are removed.

[-] Package is a GUI app and has a .desktop file

[+] Package compiles and builds on at least one arch.
[+] Package has no duplicate files in %files.
[+] Package doesn't own any directories other packages own.
[+] Package owns all the directories it creates.

[+] No rpmlint output : ignorable
[zer0c00l@gnubox oauth2-1.1.3]$ rpmlint ~/rpmbuild/RPMS/noarch/python-oauth2-1.2.1-1.fc13.noarch.rpm 
python-oauth2.noarch: W: spelling-error Summary(en_US) oauth -> oath, auth, o auth
python-oauth2.noarch: W: spelling-error %description -l en_US oauth -> oath, auth, o auth
python-oauth2.noarch: W: spelling-error %description -l en_US py -> pt, p, y


[+] Should build in mock.
[+] Should build on all supported archs
[+] Should function as described.
[-] Should have sane scriptlets.
[-] Should have subpackages require base package with fully versioned depend.
[+] Should have dist tag
[+] Should package latest version
[+] check for outstanding bugs on package. (For core merge reviews)

XXX NOTE XXX

Getting deprecation warning from python-httplib2 when importing oauth2 module

In [1]: import oauth2
/usr/lib/python2.6/site-packages/httplib2/__init__.py:44: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  import sha

Everything seems fine except deprecation warning.


XXXXXXXX Approved XXXXXXXXXX

Comment 2 Tom "spot" Callaway 2010-11-01 19:48:06 UTC
That deprecation warning is coming from python-httplib2, not python-oauth2. Thanks for the review!

Comment 3 Tom "spot" Callaway 2010-11-01 19:49:07 UTC
New Package SCM Request
=======================
Package Name: python-oauth2
Short Description: Python support for improved oauth
Owners: spot
Branches: f13 f14
InitialCC:

Comment 4 Kevin Fenzi 2010-11-03 04:08:06 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2010-11-03 14:07:25 UTC
python-oauth2-1.2.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-oauth2-1.2.1-1.fc13

Comment 6 Fedora Update System 2010-11-03 14:07:47 UTC
python-oauth2-1.2.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-oauth2-1.2.1-1.fc14

Comment 7 Fedora Update System 2010-11-03 21:10:39 UTC
python-oauth2-1.2.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-oauth2'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-oauth2-1.2.1-1.fc13

Comment 8 Fedora Update System 2010-11-11 22:18:29 UTC
python-oauth2-1.2.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-11-11 22:19:58 UTC
python-oauth2-1.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Rahul Sundaram 2011-07-18 14:46:45 UTC
Package Change Request
======================
Package Name: python-oauth2
New Branches: el6
Owners: sundaram

Comment 11 Rahul Sundaram 2011-07-18 14:47:19 UTC
Package Change Request
======================
Package Name: python-oauth2
New Branches: el6
Owners: sundaram pjp

Comment 12 Gwyn Ciesla 2011-07-18 15:04:17 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.